<template>
	<view class="pages">
		<mescroll-body class="wrap" ref="mescrollRef" @init="mescrollInit" @down="downCallback" @up="upCallback" :down="downOption" :up="upOption">
			<view class="focusme">
				<view v-for="(item,index) in focusmelist" :key="index" class="focusme-item">
					<view class="focusme-item-photo">
						<image class="focusme-item-photo-img" :src="item.img" mode=""></image>
					</view>
					<view class="focusme-item-text">
						<view class="focusme-item-name">{{item.name}} <text class="type">{{item.type}}</text></view>
						<view class="focusme-item-addr">{{item.addr}}</view>
						<view class="focusme-item-care">关心：<text v-for="(careitem,careindex) in item.care" :key="careindex">{{careitem}},</text></view>
					</view>
					<view class="focusme-item-call" @click="callnumber(item.phonenumber)">
						<svg class="icon focusme-item-call-icon" aria-hidden="true">
							<use xlink:href="#icondianhua"></use>
						</svg>
					</view>
				</view>
			</view>
		</mescroll-body>		
	</view>
</template>

<script>
	// 引入mescroll-mixins.js
	import MescrollMixin from "@/components/mescroll-uni/mescroll-mixins.js";	
	// 引入mescroll-body组件 (如已在main.js注册全局组件,则省略此步骤)
	import MescrollBody from "@/components/mescroll-uni/mescroll-body.vue"; // 注意.vue后缀不能省
	export default {
		mixins: [MescrollMixin], // 使用mixin
		components: {
			MescrollBody,
		},
		data() {
			return {
				mescroll: null, // mescroll实例对象 (此行可删,mixins已默认)
				// 下拉刷新的配置(可选, 绝大部分情况无需配置)
				downOption: { 
					// ...
				},
				// 上拉加载的配置(可选, 绝大部分情况无需配置)
				upOption: {
					page: {
						size: 10 // 每页数据的数量,默认10
					},
					noMoreSize: 5, // 配置列表的总数量要大于等于5条才显示'-- END --'的提示
					empty: {
						tip: '暂无相关数据'
					}
				},
				params:{
					tokenhead:'',
					token:'',
				},
				focusmelist:[
					// {
					// 	img:"http://placekitten.com/90/90",
					// 	name:'周飞向',
					// 	type:'养殖大户',
					// 	addr:'贵州大亨油茶科技有限公司',
					// 	care:["油茶","茶","芝麻"],
					// 	phonenumber:'13655544126',
					// },
					// {
					// 	img:"http://placekitten.com/90/90",
					// 	name:'张永清',
					// 	type:'农户',
					// 	addr:'贵州毕节',
					// 	care:["林下食用菌"],
					// 	phonenumber:'13655544126',
					// },
				],
				
			}
		},
		onShow() {
			let serf = this;
			//检查登录,获取token
			// let loginRes = this.checkLogin('/pages/index/index', '2');
			// if(!loginRes){return false;}
			// serf.params.token=loginRes[0];			
		},
		onLoad() {
			let self = this;
			uni.getStorage({
				key:'token',
				success: function (res) {
					self.params.token = res.data;
				   // console.log(res.data);
				}
			});
			uni.getStorage({
				key:'tokenhead',
				success: function (res) {
					self.params.tokenhead = res.data;
				   // console.log(res.data);
				}
			});

		},
		methods: {
			/*mescroll组件初始化的回调,可获取到mescroll对象 (此处可删,mixins已默认)*/
			mescrollInit(mescroll) {
				this.mescroll = mescroll;
			},
			/*下拉刷新的回调, 有三种处理方式:*/
			downCallback(){
			
				// 第2种: 下拉刷新和上拉加载调同样的接口, 那么不用第1种方式, 直接mescroll.resetUpScroll()即可
				this.mescroll.resetUpScroll(); // 重置列表为第一页 (自动执行 page.num=1, 再触发upCallback方法 )
			},
			/*上拉加载的回调*/
			upCallback(page) {
				let pageNum = page.num; // 页码, 默认从1开始
				let pageSize = page.size; // 页长, 默认每页10条
				this.params = Object.assign(this.params,{pageNum:pageNum,pageSize:pageSize});				
				let thetoken = this.params.tokenhead + this.params.token;
				console.log('thetoken',thetoken);
				this.$api.http.get(this.config.apiBaseurl+'/pre/own',{header: {Authorization:thetoken}}).then(data => {
					console.log('1111111111',data);
					if(data.data.code=='1001'){
						// uni.redirectTo({
						// 	url:'/pages/login/login?backpage=/pages/index/index'+'&backtype='+2,
						// });							
					};
					console.log(data);
					// 接口返回的当前页数据列表 (数组)
					let curPageData = data.data.data.list; 
					// console.log('curPageData',curPageData);
					// 接口返回的当前页数据长度 (如列表有26个数据,当前页返回8个,则curPageLen=8)
					let curPageLen = curPageData.length; 
					// 接口返回的总页数 (如列表有26个数据,每页10条,共3页; 则totalPage=3)
					// let totalPage = data.xxx; 
					// 接口返回的总数据量(如列表有26个数据,每页10条,共3页; 则totalSize=26)
					let totalSize = data.data.data.total; 
					// this.mescrollList = curPageData;
					// 接口返回的是否有下一页 (true/false)
					// let hasNext = data.xxx; 
					
					//设置列表数据
					if(page.num == 1) this.mescrollList = []; //如果是第一页需手动置空列表
					this.mescrollList = this.mescrollList.concat(curPageData); //追加新数据
					// console.log('page.num',page.num);
					console.log('this.mescrollList',JSON.parse(JSON.stringify(this.mescrollList)));
					
					//方法二(推荐): 后台接口有返回列表的总数据量 totalSize
					this.mescroll.endBySize(curPageLen, totalSize); 
			
					// setTimeout(()=>{
					// 	this.mescroll.endSuccess(curPageLen)
					// },20)
				
				}).catch(err => {
					this.mescroll.endErr()
					console.log(err)
				
				});
				
			},
			//打电话
			callnumber(number){
				uni.makePhoneCall({
				    phoneNumber: number 
				});				
			},
			

		}
	}
</script>

<style scoped>
/* @import url("../usercenter.css"); */
.focusme-item{display: flex;position: relative;align-items: center;background-color: #fff;padding: 24rpx 24rpx 17rpx 24rpx;margin-bottom: 8rpx;}
.focusme-item::after{content: '';width: calc( 100% - 24rpx );height: 1px;background-color: #eee;position: absolute;right: 0;bottom: 0;}
.focusme-item-photo{width: 90rpx;height: 90rpx;overflow: hidden;border-radius: 50%;margin-right: 30rpx;}
.focusme-item-photo-img{width: 100%;height: 100%;}
.focusme-item-text{flex: 1;}
.focusme-item-name{margin-bottom: 4rpx;font-size: 34rpx;font-weight: 500;color: #333;line-height: 48rpx;}
.focusme-item-name .type{margin-left: 24rpx;font-size: 24rpx;font-weight: 400;color: #6BBC6D;line-height: 33rpx;}
.focusme-item-care,
.focusme-item-addr{font-size: 28rpx;font-weight: 400;color: #666;line-height: 40rpx;}
.focusme-item-call-icon{width: 58rpx;height: 58rpx;}
</style>
